Package org.acplt.oncrpc.apps.jrpcgen

# Enum Class JrpcgenDeclaration.Kind

java.lang.Object
java.lang.Enum<JrpcgenDeclaration.Kind>
org.acplt.oncrpc.apps.jrpcgen.JrpcgenDeclaration.Kind

All Implemented Interfaces:
  `Serializable`, `Comparable<JrpcgenDeclaration.Kind>`, `Constable`

Enclosing class:
  `JrpcgenDeclaration`

public static enum JrpcgenDeclaration.Kind extends Enum<JrpcgenDeclaration.Kind>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DYNAMICVECTOR`
Indicates that a vector (an array) with dynamic (or unknown) size is declared.
`FIXEDVECTOR`
Indicates that a vector (an array) with fixed size is declared.
`INDIRECTION`
Indicates that an indirection (reference, pointer, whatever you like to call it nowadays) is declared.
`SCALAR`
Indicates that a scalar is declared.

## Method Summary

Modifier and Type
Method
Description
`static JrpcgenDeclaration.Kind`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static JrpcgenDeclaration.Kind[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SCALAR

public static final JrpcgenDeclaration.Kind SCALAR
Indicates that a scalar is declared.

### FIXEDVECTOR

public static final JrpcgenDeclaration.Kind FIXEDVECTOR
Indicates that a vector (an array) with fixed size is declared.

### DYNAMICVECTOR

public static final JrpcgenDeclaration.Kind DYNAMICVECTOR
Indicates that a vector (an array) with dynamic (or unknown) size is declared.

### INDIRECTION

public static final JrpcgenDeclaration.Kind INDIRECTION
Indicates that an indirection (reference, pointer, whatever you like to call it nowadays) is declared.

## Method Details

### values

public static JrpcgenDeclaration.Kind[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static JrpcgenDeclaration.Kind valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null